Commit e1dc87eb authored by Yuri Konotopov's avatar Yuri Konotopov

Compatibility with old gnome-shell versions (Ubuntu 14.04)

parent 1329142f
......@@ -116,7 +116,10 @@ def read_thread_func(proxy, mainLoop):
if request['execute'] == 'initialize':
shellVersion = proxy.get_cached_property("ShellVersion")
disableVersionCheck = settings.get_boolean(EXTENSION_DISABLE_VERSION_CHECK_KEY)
if EXTENSION_DISABLE_VERSION_CHECK_KEY in settings.keys():
disableVersionCheck = settings.get_boolean(EXTENSION_DISABLE_VERSION_CHECK_KEY)
else:
disableVersionCheck = False
send_message(
{
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment